/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

// Includes
#include "COMMON.H"
#include "PRINT.H"

// Defines

#ifdef COMMON_BANNER_ADDITIONAL_LINE
  #define _COMMON_BANNER_ADDITIONAL_LINE "\n" COMMON_BANNER_ADDITIONAL_LINE
#else
  #define _COMMON_BANNER_ADDITIONAL_LINE ""
#endif


#ifdef COMMON_BANNER_NAME
  #define _COMMON_BANNER_TEXT COMMON_BANNER_NAME " v" COMMON_BANNER_VER \
    " | built on " __DATE__ " " __TIME__ "\n" \
    "Developed by " COMMON_BANNER_AUTHOR " (" COMMON_BANNER_EMAIL ")\n" \
    "Website: " COMMON_BANNER_URL \
    _COMMON_BANNER_ADDITIONAL_LINE
#endif

// Error checking
#if !defined(_COMMON_BANNER_TEXT) && defined(COMMON_SHOW_BANNER_ON_STARTUP)
  #error "Banner text not defined, but show banner requested."
#endif

// Globals

#ifdef _COMMON_BANNER_TEXT
const char* _common_banner_text = _COMMON_BANNER_TEXT;
#endif

#ifdef COMMON_USAGE_TEXT
const char* _common_usage_text = COMMON_USAGE_TEXT;
#endif

// Implementation

#ifdef _COMMON_BANNER_TEXT
// Show startup banner
void common_show_banner()
{
  PRINT(_common_banner_text);
}
#endif

#ifdef COMMON_USAGE_TEXT
void common_print_usage()
{
  PRINT(_common_usage_text);
}
#endif

