@echo off
rem Copyright (C) 2024 Christoph Boelitz
rem
rem E-mail: tools@dosforum.de
rem Project page: http://tools.dosforum.de/
rem
rem This program is free software as long as its used privately.
rem Commercial use, as unlikely as it may seem, is hereby prohibited.
rem The source code may be modified and distributed as long
rem as my contact information is left in place.
rem
rem Let me know, if you have suggestions or see something that can
rem be done in a better way, so I might learn from it. Thanks!

if exist setproj.bat call setproj.bat

if not "%1"=="clean" goto prep_build

echo Intent is cleaning...
set CB_BUILD=
set CB_TARGET=clean
goto prep_make

:prep_build
if "%1"=="" if "%CB_PROJECT%"=="" goto usage

rem --- From here on, %1 or CB_PROJECT must have a value, or both!

echo Intent is building...

rem Override target, if argument given.
if "%1"=="" goto skip_ovr
rem --- From here on, %1 must have a value!

if "%1"=="%CB_PROJECT%" goto skip_ovr
rem --- From here on, %1 and CB_PROJECT are not the same!

set CB_TARGET=%1
set CB_PREV_PR=%CB_PROJECT%
set CB_PROJECT=%CB_TARGET%
:skip_ovr

rem Try set %INCLUDE% from %WATCOM%, but only if not set
if "%INCLUDE%"=="" if not "%WATCOM%"=="" set INCLUDE=%WATCOM%\h

rem Check Watcom stuff
if "%WATCOM%"=="" echo Warning: Environment variable WATCOM not set!
if "%INCLUDE%"=="" echo Warning: Environment variable INCLUDE not set!

set CB_BUILD=yes


:prep_make
rem DOS4G=quiet to suppress dos4g banner during compilation
rem Note: Setting the following seems to be a problem on DOS4G 2.0x
rem set DOS4G=QUIET
set DOS4G=STARTUPBANNER:OFF
rem -e = erase files after error (no prompt)
rem -z = do not erase files (no prompt)
rem -h = do not print program header
rem -s = silent mode, do not print commands
echo CB_PROJECT=%CB_PROJECT%
echo CB_TARGET=%CB_TARGET%
echo Calling wmake...
wmake -z -h -s %CB_TARGET%
set CB_TARGET=
if "%CB_BUILD%"=="yes" set CB_BUILD=

rem Restore old project name
if "%CB_PREV_PR%"=="" goto end
echo Restoring CB_PROJECT ('%CB_PROJECT%') to '%CB_PREV_PR%'
set CB_PROJECT=%CB_PREV_PR%
set CB_PREV_PR=
goto end

:usage
echo Usage:
echo 1) make project-name (e.g. make cdbq)
echo     or create batch file named setproj.bat which sets env-var CB_PROJECT
echo 2) make clean

:end