/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

#include <stdio.h>
#include <stdarg.h>

#include "print.h"

int eprintf(const char *format, ...)
{
  va_list args;
  int c;

  va_start(args, format);
  c = vfprintf(stderr, format, args);
  va_end(args);

  return c;
}

bool is_print(const char c)
{
  // Filters out ASCII control characters, DEL and NBSP
  return (c >= 32 && c != 127 && c != 255);
}
