/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

#ifndef _PRINT_H_INCLUDED
#define _PRINT_H_INCLUDED

// Includes
#include <stdio.h>
#include <conio.h>
#include <stdbool.h>

// Macros
#define PRINT(str) fputs(str, stdout)
#define PRINTLN(str) puts(str)
#define PRINTNL() PRINTLN("")
#define PRINTNLNL() PRINTLN("\n")
#define PRINTC(c) putc(c, stdout)
#define PRINTSPC() PRINTC(' ')
#define EPRINT(str) fputs(str, stderr)
#define EPRINTNL(str) fputs("\n", stderr)

// Prototypes

int eprintf(const char *format, ...);
bool is_print(const char c);

#endif
